---
title: HTMLElement.dir
slug: Web/API/HTMLElement/dir
tags:
  - API
  - HTML DOM
  - HTMLElement
  - Property
  - Reference
---
<div>{{ApiRef("HTML DOM")}}</div>

<p>The <code><strong>HTMLElement.dir</strong></code> property gets or sets the text writing directionality of the content of the current element.</p>

<p>The text writing directionality of an element is which direction that text goes (for support of different language systems). Arabic languages and Hebrew are typical languages using the RTL directionality.</p>

<p>An image can have its <code>dir</code> property set to "<code>rtl</code>" in which case the HTML attributes <code>title</code> and <code>alt</code> will be formatted and defined as "<code>rtl</code>".</p>

<p>When a table has its <code>dir</code> set to "<code>rtl</code>", the column order is arranged from right to left.</p>

<p>When an element has its dir set to "<code>auto</code>", the direction of the element is determined based on its first strong directionality character, or default to the directionality of its parent element.</p>

<div class="note">
<p>Browsers might allow users to change the directionality of {{ HTMLElement("input") }} and {{ HTMLElement("textarea") }}s in order to assist with authoring content. Chrome and Safari provide a directionality option in the contextual menu of input fields while Internet Explorer and Edge use the key combinations <kbd>Ctrl</kbd> + <kbd>Left Shift</kbd> and <kbd>Ctrl</kbd> + <kbd>Right Shift</kbd>. Firefox uses <kbd>Ctrl</kbd>/<kbd>Cmd</kbd> + <kbd>Shift</kbd> + <kbd>X</kbd> but does NOT update the <code><strong>dir</strong></code> attribute value.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em><var>currentWritingDirection</var></em> = <em>elementNodeReference</em>.dir;
<em>elementNodeReference</em>.dir = <em><var>newWritingDirection</var></em>;
</pre>

<ul>
 <li><code><var>currentWritingDirection</var></code> is a string variable representing the text writing direction of the current element.</li>
 <li><code><var>newWritingDirection</var></code> is a string variable representing the text writing direction value.</li>
</ul>

<p>Possible values for <code>dir</code> are <code>ltr</code>, for left-to-right, <code>rtl</code>, for right-to-left, and <code>auto</code> for specifying that the direction of the element must be determined based on the contents of the element.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js notranslate">var parg = document.getElementById("para1");
parg.dir = "rtl";
// change the text direction on a paragraph identified as "para1"
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-dir', 'dir')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change from {{SpecName('DOM2 HTML')}}.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 HTML', 'html.html#ID-52460740', 'dir')}}</td>
   <td>{{Spec2('DOM2 HTML')}}</td>
   <td>No change from {{SpecName('DOM1')}}.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM1', 'level-one-html.html#ID-52460740', 'dir')}}</td>
   <td>{{Spec2('DOM1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLElement.dir")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("document.dir")}}</li>
 <li>HTML <a href="/en-US/docs/Web/HTML/Global_attributes/dir"><code>dir</code></a> global attribute</li>
 <li>CSS {{cssxref("direction")}} property</li>
 <li>CSS {{cssxref(":dir")}} pseudo-class</li>
</ul>
